/* * This file is part of contacts/contactui *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef CONTACTMODELABSTRACTREQUEST_H_
#define CONTACTMODELABSTRACTREQUEST_H_

#include <QObject>

namespace com {
namespace nokia {
namespace contacts {

/*!
 * This is copying logic of QContactAbstractRequest.
 * Note that all subclasses are to be executed in separate thread - WorkerThread
 */
class ContactModelAbstractRequest : public QObject
{
    Q_OBJECT

public:
    virtual ~ContactModelAbstractRequest();

public Q_SLOTS:
    /* Verbs */
    virtual bool start() = 0;

Q_SIGNALS:
    void finished();
};

}
}
}

#endif /* CONTACTMODELABSTRACTREQUEST_H_ */
