/* * This file is part of libcontactswidgets *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef CONTACTSGUIACTIONRESULT_H_
#define CONTACTSGUIACTIONRESULT_H_

#include <QContactId>
#include <QSharedPointer>

#include <MApplicationPage>
#include <MSheet>

QTM_USE_NAMESPACE;

namespace com {
namespace nokia {
namespace contacts {

class ContactsSaveRequest;

}
}
}

class Q_DECL_EXPORT ContactsGuiActionResult : public QObject
{
    Q_OBJECT
public:
    explicit ContactsGuiActionResult(QObject *parent = 0);
    ~ContactsGuiActionResult();

    typedef QSharedPointer<ContactsGuiActionResult> SharedPointer;

    void setRequest(com::nokia::contacts::ContactsSaveRequest *request);

Q_SIGNALS:
    void contactEditedSaved(bool, const QContactId &);
    void finished();
    void requestFinished(const QContactId &);

public Q_SLOTS:
    void setSavedContact(const QContactId & contactId);

private Q_SLOTS:
    void onRequestFinished();

protected:
    //!\ meaning that finished() will be emitted when page is closed.
    void attachToPage(MSceneWindow *page);

private:
    com::nokia::contacts::ContactsSaveRequest *mRequest;

friend class ContactsGui;
};

#endif
