#ifndef CONTACTSLISTSETTINGS_H
#define CONTACTSLISTSETTINGS_H

#include <QObject>

class ContactsListSettings : public QObject
{
    Q_OBJECT
    Q_ENUMS(GroupByType)
public:

    enum GroupByType {
        GroupByNone = 0,  // This shouldn't be used.
        GroupByName,
        GroupByPresence
    };

    static ContactsListSettings* instance();

    void setGroupBy(GroupByType groupBy);
    GroupByType groupBy() const;

signals:
    void groupByChanged();
public slots:
private:
    ContactsListSettings();
    ContactsListSettings(const ContactsListSettings &);
    ContactsListSettings& operator=(const ContactsListSettings &);
private:
    static ContactsListSettings* m_instance;
    GroupByType m_groupBy;
    const QString SortConfigKey;
    const QString SettingsOrganization;
    const QString SettingsApplication;
};

#endif // CONTACTSLISTSETTINGS_H
