/* * This file is part of contacts/contactui*
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef CONTACTSSETTINGSSTORAGE_H
#define CONTACTSSETTINGSSTORAGE_H

#include <qtcontacts-tracker/settings.h>
#include <qtcontacts-tracker/customdetails.h>

class ContactsSettingsStorage : public QctSettings
{
public:
    explicit ContactsSettingsStorage();
    virtual ~ContactsSettingsStorage();

    void setUseAutoMerge(bool useAutoMerging);
    bool useAutoMerge() const;

    /**
     * \brief Restore default settings
     */
    void restoreDefaultSettings();

public:
    //Default values
    static const bool DefaultUseAutoMergeValue = true;

    //Keys
    Q_DECLARE_LATIN1_CONSTANT(UseAutoMergeKey, "automergingState");
};

#endif // CONTACTSSETTINGSSTORAGE_H
