/* * This file is part of contacts/contactui *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef EDITCONTACTACTION_H_
#define EDITCONTACTACTION_H_

#include "contactaction.h"

class EditContactAction : public ContactAction
{
    Q_OBJECT

public:
    explicit EditContactAction(QObject *parent=0);
    virtual ~EditContactAction();

signals:
    void contactEditedSaved(const QContactId &);

private:
    virtual QStringList detailDefinitionsHint() const;
    virtual void doOperation();
    virtual void updateText();

private Q_SLOTS:
    void onContactEditedSaved(bool result, const QContactId & contactId);
};

#endif /* EDITCONTACTACTION_H_ */
