/* * This file is part of contacts/contactui *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef SENDBUSINESSCARDACTION_H_
#define SENDBUSINESSCARDACTION_H_

#include <QContact>
#include <QVersitWriter>

#include "contactaction.h"

class SendBusinessCardAction : public ContactAction
{
    Q_OBJECT

public:
    explicit SendBusinessCardAction(QObject *parent=0);
    virtual ~SendBusinessCardAction();

private Q_SLOTS:
    void onDetailsSelected(QContact &contact);
    void launchShareUI(QVersitWriter::State state);
    void onSelectionCancelled();

private:
    QStringList detailDefinitionsHint() const;
    QStringList selectableDetailDefinitionsHint() const;
    void doOperation();
    bool showDetailSelector(const QStringList &selectableDetails);

    QString mContactDisplayLabel;
    QVersitWriter *mWriter;
    QByteArray mOutputArray;
};

#endif /* SENDBUSINESSCARDACTION_H_ */
