/* * This file is part of contacts *
 * Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 * Contact: Aleksandar Stojiljkovic <aleksandar.stojiljkovic@nokia.com>
 * This software, including documentation, is protected by copyright controlled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others without the prior written consent of Nokia. */

#ifndef WORKERTHREAD_H
#define WORKERTHREAD_H

#include <QContactAbstractRequest>
#include <contactmodelabstractrequest.h>

QTM_USE_NAMESPACE

namespace com {
namespace nokia {
namespace contacts {

class WorkerThreadPrivate;

class WorkerThread : public QObject {
    Q_OBJECT
    Q_DISABLE_COPY (WorkerThread)
public:
    explicit WorkerThread();
    ~WorkerThread ();
    void addRequest (QContactAbstractRequest* request);
    void addRequest (ContactModelAbstractRequest* request);
    void start();
    void stop();

Q_SIGNALS:
    void requestFinished(QContactAbstractRequest* request);
    void requestFinished(ContactModelAbstractRequest* request);

private:
Q_SIGNALS:
    void _addRequest (QContactAbstractRequest* request);
    void _addRequest (ContactModelAbstractRequest* request);

private:
    WorkerThreadPrivate * const d;
};

}
}
}



#endif // WORKERTHREAD_H

